Jalama - Bug #1930

Build customization dialog to modify UlGen rules for form generator

02/01/2005 03:23 PM - Matthew Brooke
Priority: Low Due date:

Assignee: Matthew Brooke % Done: 0%
Category: jalama-general Estimated time: 0.00 hour
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1930

Description

Build "customization dialog" (see whiteboard photo in cvs:
jalama/docs/dev/Sep2004mtg-whiteboard/configure_entry_form_03.jpg) that is used
to customize some aspects of the form generated by the form generator.

Customizable aspects include field visibility, default value, validation
required, location etc. Dialog basically amends Drools rules before ui
generation takes place

History

#1 - 02/01/2005 07:52 PM - Matthew Brooke

Another customizable aspect might be "collapsed on start" for widgets that hold
optional and infrequently-completed values (like epiphyte and canopy in pisco
app) - see Bug #1936

#2 - 02/01/2005 08:17 PM - Matthew Brooke

To expand on the "Default Value" setting: this could include:
1) a timestamp (already implemented in XBL)

2) auto-increment field (already implemented in XBL, but needs additional
functionality, such as starting at user-defined values, and counting in
user-defined direction - like in reverse at first, then forwards after tide goes
out, for example, depending on field conditions) - see Bug #1938

3) Could be set to echo the value entered in the previous record; currently,
fields do automatically keep prev record's values, but this should be
configurable by the admin: keeping same values may be appropriate for
"metadata’-type attributes that aren't being collected (eg site, date, etc), but
not for data-type values (species found etc)

#3 - 08/26/2005 11:36 AM - Matthew Brooke

end of grant cleanup. Postponing

#4 - 03/27/2013 02:18 PM - Redmine Admin
Original Bugzilla ID was 1930
https://projects.ecoinformatics.org/ecoinfo/issues/1936
https://projects.ecoinformatics.org/ecoinfo/issues/1938
